Get all credentials
GET/v1/apps
This route allows you to fetch all credentials in your Port organization.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "array",
"items": {
"type": "string",
"enum": [
"id",
"name",
"createdAt",
"updatedAt",
"secret",
"enabled"
]
}
},
"in": "query",
"name": "fields",
"required": false,
"description": "The fields to include in the response. If not specified, all fields will be included.",
"style": "form",
"explode": true
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 404
Retrieved successfully.
Default Response
A resource with the provided identifier was not found
Responses (JSON)
{
"responses": {
"200": {
"description": "Retrieved successfully.",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"enum": [
true
]
},
"apps": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"enabled": {
"type": "boolean"
},
"id": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"secret": {
"type": "string"
}
}
}
}
},
"required": [
"ok"
],
"additionalProperties": false,
"description": "Retrieved successfully."
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
}
}
}